#include <stdio.h>
#include <stdlib.h>

/*!
 * \fn void affichePremierChoix(Partie * p, int * i)
 * \brief La fonction affiche le choix offert et modifie la variable entiere donnee en entree.
 *
 * \param un pointeur vers le premier caractere d'un tableau (il contient le nom du Joueur, voir le controleur), un pointeur vers un entier representant la variable de choix a modifier.
 */
void affichePremierChoix(char * c, int * i){
    printf("%s : Que voulez-vous faire?\n 1-Slectionner un personnage\n 2-Fin du tour\n", c);
    scanf("%d",i);
    printf("\n");
}

/*!
 * \fn void afficherEntrerCoordonnees(int * cX, int * cY)
 * \brief La fonction affiche une requete au Joueur et modifie les variable entiere pointee par les entrees en fonction des entrees clavier.
 *
 * \param les pointeurs vers les entiers representant les coordonnees a modifier.
 */
 void afficherEntrerCoordonnees(int * cX, int * cY){
    printf("Entrez une abscisse : x = ");
    scanf("%d",cX);
    printf("\n");
    printf("Entrez une ordonne : y = ");
    scanf("%d",cY);
    printf("\n");
 }

 /*!
 * \fn void afficherChoixImpossible()
 * \brief La fonction affiche un message
 */
 void afficherChoixImpossible(){
    printf("Vous ne pouvez pas faire a.");
 }

 /*!
 * \fn  void afficheFinTour(char * c)
 * \brief La fonction affiche une un message de fin de tour.
 *
 * \param Un pointeur vers le premier caractere du nom du Joueur dont ca va etre le tour (voir l'appel dans controlleur.c)
 */
 void afficheFinTour(char * c){
    printf("Fin du tour.\n Nouveau tour : Tour de %s",c);
 }
